Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class ReportInformation

    java.lang.Object
      java.util.TimerTask
          com.sun.management.oss.impl.pm.opstatus.ReportInformation

All Implemented Interfaces:
  java.lang.Runnable

public class ReportInformation
extends java.util.TimerTask

`ReportInformation class.`

Copyright (c) 2001 Ericsson

Version:
  1.0
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi

Constructor Summary
`ReportInformation(java.lang.String reportPath)` `ReportInformation`.

Method Summary
`java.util.Vector` | `getAllReportInfos()`
`java.util.Vector` | `getReportInfos(ManagedEntityKey pmKey)` `getReportInfos`.
`void` | `initializeKey(ManagedEntityKey pmKey)` `initializeKey`.
`void` | `run()` `run`.
`void` | `setReportInfo(ManagedEntityKey pmKey, ReportInfo ri)` `setReportInfo`.

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportInformation

    public ReportInformation(java.lang.String reportPath)

  `ReportInformation`.

Method Detail

### run

    public void run()

  `run`.

### initializeKey

    public void initializeKey(ManagedEntityKey pmKey)

  `initializeKey`.

  Parameters:
    `pmKey` -

### getReportInfos

    public java.util.Vector getReportInfos(ManagedEntityKey pmKey)

  `getReportInfos`.

  Parameters:
    `pmKey` -
  Returns:
    a vector containing all ReportInfo cloned instances associated to the given key

### getAllReportInfos

    public java.util.Vector getAllReportInfos()

### setReportInfo

    public void setReportInfo(ManagedEntityKey pmKey,
                              ReportInfo ri)

  `setReportInfo`.

  Parameters:
    `pmKey` -
    `ri` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD